import os
import sys

from Defaults import *

try:
    from wcsinst_cfg import *
except ImportError:
    pass

from qommon.publisher import QommonPublisher, set_publisher_class

from root import RootDirectory
import sessions

from users import User

if WCS_SRC_DIR:
    sys.path.append(WCS_SRC_DIR)

class WcsInstPublisher(QommonPublisher):
    APP_NAME = 'wcsinst'
    APP_DIR = APP_DIR
    DATA_DIR = DATA_DIR
    ERROR_LOG = ERROR_LOG
    URL_TEMPLATE = URL_TEMPLATE
    APACHE_FILE_NAME = APACHE_FILE_NAME
    APACHE_LINE_TEMPLATE = APACHE_LINE_TEMPLATE

    supported_languages = ['fr']

    root_directory_class = RootDirectory
    session_manager_class = sessions.StorageSessionManager
    user_class = User

    def get_admin_module(cls):
        import admin
        return admin
    get_admin_module = classmethod(get_admin_module)

set_publisher_class(WcsInstPublisher)
